#ifndef GENERATOR_H
#define GENERATOR_H

#include "instruction.h"
#include <deque>
#include <stack>

namespace bf {

class Generator {

public:
	Generator(std::deque<Instruction> program) :
		program(program) { }

	void run();

private:
	std::deque<Instruction> program;
	int array[30000];
	int counter;
	std::stack<int> lbrackets;

};

} // namespace bf

#endif 


